### Method

# Fwupd Device add_child

#### Declaration [src]

    void
    fwupd_device_add_child (
      FwupdDevice* self,
      FwupdDevice* child
    )

#### Description [src]

Adds a child device. An child device is logically linked to the primary device in some way.

NOTE: You should never call this function from user code, it is for daemon use only. Only use `fwupd_device_set_parent()` to set up a logical tree.

Available since: | 1.5.1

#### Parameters

`child` | `FwupdDevice`
| Another `FwupdDevice`.
| The data is owned by the caller of the function.